;**************************************************************
;* PSGlib.h	PSGlib Header
;*
;* PSGlib library - by sverx
;* https://github.com/sverx/PSGlib
;**************************************************************

		.IFNDEF LIB_PSGLIB_H

		.EQU LIB_PSGLIB_H	1

		.define      PSG_STOPPED         0
		.define      PSG_PLAYING         1

		.define      PSGDataPort         $06
		.define      PSGLatchPort        $03

		.define      PSGLatch            $80
		.define      PSGData             $40

		.define      PSGChannel0         %00000000
		.define      PSGChannel1         %00100000
		.define      PSGChannel2         %01000000
		.define      PSGChannel3         %01100000
		.define      PSGVolumeData       %00010000

		.define      PSGWait             $38
		.define      PSGSubString        $08
		.define      PSGLoop             $01
		.define      PSGEnd              $00

		.define      SFX_CHANNEL2        $01
		.define      SFX_CHANNEL3        $02
		.define      SFX_CHANNELS2AND3   SFX_CHANNEL2|SFX_CHANNEL3

		.ENDIF
